package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.dto.NcCodeDto;
import com.foreverwin.mesnac.meapi.model.NcCode;
import com.foreverwin.mesnac.meapi.model.NcGroup;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author robert
 * @since 2021-06-23
 */
public interface NcCodeService extends IService<NcCode> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<NcCode> selectPage(FrontPage<NcCode> frontPage, NcCode ncCode);

    List<NcCode> selectList(NcCode ncCode);

    List<NcCode> findNcByCategory(String category,String code);

    List<NcCode> findSecondaryNcByNc(String ncCode);

    List<NcCode> selectByNcGroup(String ncGroup);

    List<NcCode> findNcCodeByNcGroup(NcGroup ncGroup);

    List<NcCodeDto> findNcCodeDescriptionByNcCode(String ncCode);

    List<NcCodeDto> findNcCodeByNcGroupList(String ncGroup);
}